# Generated by rust2rpm-9-1.fc30
%bcond_with check
%global debug_package %{nil}

%global crate devicemapper

Name:           rust-%{crate}
Version:        0.27.0
Release:        2%{?dist}
Summary:        Library for using Linux device mapper

# Upstream license specification: MPL-2.0
License:        MPLv2.0
URL:            https://crates.io/crates/devicemapper
Source:         %{crates_source}
# Initial patched metadata
# * Bump nix to 0.14, https://github.com/stratis-storage/devicemapper-rs/pull/475
Patch0:         devicemapper-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
BuildRequires:  (crate(bitflags/default) >= 1.0.0 with crate(bitflags/default) < 2.0.0)
BuildRequires:  (crate(error-chain/default) >= 0.12.0 with crate(error-chain/default) < 0.13.0)
BuildRequires:  (crate(libc/default) >= 0.2.36 with crate(libc/default) < 0.3.0)
BuildRequires:  (crate(macro-attr/default) >= 0.2.0 with crate(macro-attr/default) < 0.3.0)
BuildRequires:  (crate(newtype_derive/default) >= 0.1.0 with crate(newtype_derive/default) < 0.2.0)
BuildRequires:  (crate(nix/default) >= 0.14.0 with crate(nix/default) < 0.15.0)
BuildRequires:  (crate(serde/default) >= 1.0.0 with crate(serde/default) < 2.0.0)
%if %{with check}
BuildRequires:  (crate(libmount/default) >= 0.1.11 with crate(libmount/default) < 0.2.0)
BuildRequires:  (crate(libudev/default) >= 0.2.0 with crate(libudev/default) < 0.3.0)
BuildRequires:  (crate(loopdev/default) >= 0.2.0 with crate(loopdev/default) < 0.3.0)
BuildRequires:  (crate(matches/default) >= 0.1.8 with crate(matches/default) < 0.2.0)
BuildRequires:  (crate(tempfile/default) >= 3.0.1 with crate(tempfile/default) < 4.0.0)
BuildRequires:  (crate(uuid/default) >= 0.7.0 with crate(uuid/default) < 0.8.0)
BuildRequires:  (crate(uuid/v4) >= 0.7.0 with crate(uuid/v4) < 0.8.0)
%endif

%global _description \
A library for using Linux device mapper.

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE.md
%doc README.md
%{cargo_registry}/%{crate}-%{version}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test -- -- --skip sudo_ --skip loop_
%endif

%changelog
* Tue Jun 04 2019 Josh Stone <jistone@redhat.com> - 0.27.0-2
- Bump nix to 0.14

* Tue May 07 08:10:48 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.27.0-1
- Update to 0.27.0

* Tue Feb 12 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.26.1-3
- Update nix to 0.13

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.26.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Nov 29 2018 Josh Stone <jistone@redhat.com> - 0.26.1-1
- Update to 0.26.1

* Tue Nov 20 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.26.0-3
- Bump uuid to 0.7

* Fri Nov 02 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.26.0-2
- Adapt to new packaging

* Thu Sep 27 2018 Andy Grover <agrover@redhat.com> - 0.26.0-1
- Update to 0.26.0

* Sat Sep 01 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.24.0-1
- Update to 0.24.0

* Sat Aug 04 2018 Josh Stone <jistone@redhat.com> - 0.23.1-1
- Update to 0.23.1

* Thu Aug 2 2018 Andy Grover <agrover@redhat.com> - 0.23.0-1
- Update to 0.23.0

* Tue Jul 17 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.22.0-3
- Bump error-chain to 0.12
- Bump nix to 0.11

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.22.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Jul 11 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.22.0-1
- Update to 0.22.0

* Sat Jun 23 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.21.0-2
- Adopt to new macro

* Mon Jun 4 2018 Andy Grover <agrover@redhat.com> - 0.21.0-1
- Remove no longer needed patch
- add builddep on mnt

* Thu Apr 26 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.20.0-2
- Bump uuid to 0.6

* Tue Apr 03 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.20.0-1
- Update to 0.20.0

* Thu Mar 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.19.0-1
- Update to 0.19.0

* Sun Feb 11 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.16.0-1
- Update to 0.16.0

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.15.0-2
- Rebuild for rust-packaging v5

* Wed Jan 03 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.15.0-1
- Initial package
